C ========================================================
C 
      SUBROUTINE SUBRECOGPf(st,fmh,AYR,AMN,ADY,ft,XX)
C...............................................Aug 2024
C ft(0:23) output array
C
C...............................................Oct. 2013
C Use subinterps.for
C.............................................Jan. 2012
C Based on subremov.for subroutine
C
C Include here reconstruction of missed data from relevant map
C
C----------------------------------------------------------------
C
C program for producing 2-mns  xxx.br OUTPUT web files foF2, M3000F2 and hmF2
C
C*********TEST
C 
	DIMENSION ft(0:23)
      CHARACTER*128 XXX,INFILE1
	CHARACTER*2 ST,AMN,ADY,AYR,CYR,CMN,CDY
	CHARACTER*1 fmh,XX(0:23) ! Letter or '_' after numerical foF2
C
C
	read(ayr,*) ryr
	iyr=int(ryr)
	read(amn,*) rmn
	imn=int(rmn)
	read(ADY,*) rdy
	idy=int(rdy)
C
C+++++++++++++
C
	infile1='f:/web/dat1/yy/STYYMNf.txt'

	infile1(16:17)=ST
	if (fmh.eq.'f') then
	infile1(11:11)='1'
	infile1(22:)='.txt'
	endif
	if (fmh.eq.'m') then
	infile1(11:11)='5'
	infile1(22:)='m.txt'
	endif
	if (fmh.eq.'h') then
	infile1(11:11)='6'
	infile1(22:)='h.txt'
	endif
	if (fmh.eq.'t') then
	infile1(11:11)='7'
	infile1(22:)='t.txt'
	endif
C
C input of cur. month :
        infile1(13:14)=AYR
        infile1(18:19)=AYR
	infile1(20:21)=AMN
C
  200		OPEN(20,FILE=infile1,action='READ')
      jcnt=0
      do j=1,4
  	READ (20,*,END=195,ERR=211) XXX  !title lines
      enddo
C++++++++++++++ 195	close(unit=20)
   17	format(A128)
  117	format(3A2,2X,24(F3.1,A1,1X))
  201	READ (20,117,END=195,ERR=211) CYR,CMN,CDY,(ft(k),XX(k),k=0,23)
C 
       if ((CYR.eq.AYR).and.(CMN.eq.AMN).and.(CDY.eq.ADY)) THEN
	goto 195
	                                                   ELSE
      goto 201
	                                        ENDIF
C
 211 	write(*,*) ' Error file:',infile1,CYR,CMN,CDY
      pause ' '
 195	 close(20)
crem		pause ' '
      RETURN
       END
c------------------------------------------------------------------------

